---
title: TestVideo - 视频组件
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# TestVideo 视频组件

## 视频组件 - 基本

## 在使用该组件时，需将组件中 JessibucaVideo 文件夹，拷贝至环境根目录 public 中

### api 参考 Jessibuca 组件 https://jessibuca.com/api.html

### 代码演示

<code src="./demos/dmeo1.tsx">

| Jessibuca 常用参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| hiddenAutoPause | 是否开启当页面的'visibilityState'变为'hidden'的时候，自动暂停播放。 | boolean | false |
| hasAudio | 是否有音频，如果设置 false，则不对音频数据解码，提升性能 | boolean | true |
| isFlv | 当为 true 的时候：ws 协议不检验是否以.flv 为依据，进行协议解析。 | boolean | false |
| isNotMute | 是否开启声音，默认是关闭声音播放的。 | boolean | false |
| loadingText | 加载过程中文案 | string | "视频加载中" |
| controlAutoHide | 底部控制台是否自动隐藏 | boolean | false |
| recordType | 默认录制的视频格式 | string | mp4 |
| operateBtns | 配置操作按钮，以下为 operateBtns 详细属性 | object |  |
|  | fullscreen 是否显示全屏按钮 | boolean | true |
|  | screenshot 是否显示截图按钮 | boolean | true |
|  | play 是否显示播放暂停按钮 | boolean | true |
|  | audio 是否显示声音按钮 | boolean | true |
|  | record 是否显示录制按钮 | boolean | true |
| VideoInfo 常用参数 | --- | --- | --- |
| fullUrl | 完整 url，接入 flv 或者三方的链接 | string | "" |
| useFullUrl | 是否为完整 url，是，则取 fullUrl | boolean | false |
| key | 摄像头唯一标识 | string | "" |
| cameraName | 摄像头名称 | string | "" |
